Update Environment Name Using PATCH
Update Environment Name
Request
URI
PATCH
https://{api_host}//lcm-15-95.eng.vmware.com/lcm/lcops/api/v2/environments
COPY
Request Body
updateEnvironmentDTO
UpdateEnvironmentDTO
of type(s)
application/json
Required
{
"environmentId": "string",
"environmentName": "string"
}
string
environmentId
Optional
environmentId
string
environmentName
Optional
environmentName
Responses
200
OK
Returns
EnvironmentDTO
of type(s)
application/json
{
"dataCenterName": "string",
"dataCenterVmid": "string",
"environmentData": "string",
"environmentId": "string",
"environmentName": "string",
"state": "string",
"status": "string",
"transactionId": "string",
"vmid": "string"
}
string
dataCenterName
Optional
dataCenterName
string
dataCenterVmid
Optional
dataCenterVmid
string
environmentData
Optional
environmentData
string
environmentId
Optional
environmentId
string
environmentName
Optional
environmentName
string
state
Optional
state
string
status
Optional
status
string
transactionId
Optional
transactionId
string
vmid
Optional
vmid
204
No Content
Operation doesn't return any data structure
400
Bad Request
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
401
Unauthorized
Operation doesn't return any data structure
403
Forbidden
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
404
Not Found
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
500
Internal Server Error
Returns
GenericErrorResponseDTO
of type(s)
application/json
{
"errorCode": "string",
"errorLabel": "string",
"message": "string",
"recommendations": [
"string"
],
"status": "string"
}
string
errorCode
Optional
errorCode
string
errorLabel
Optional
errorLabel
string
message
Optional
message
array of
string
recommendations
Optional
recommendations
string
status
Optional
status
On This Page
Environment Controller Operations
POST
Add Node V2 Using POST
POST
Add Product V2 Using POST
POST
Create Environment V2 Using POST
DELETE
Delete Environment V2 Using DELETE
GET
Get All Environments V2 Using GET
GET
Get Environment By Id Or Name V2 Using GET
POST
Toggle Health Check V2 Using POST
POST
Trigger Health Check V2 Using POST
POST
Trigger Inventory Sync For All Environments V2 Using POST
POST
Trigger Inventory Sync For Environment V2 Using POST
PATCH
Update Environment Name Using PATCH
POST
Validate Environment V2 Using POST